%define	name	kio-clucene
%define	version	0.1.0
%define	release	2mdk

%define lib_name_orig %mklibname %name
%define lib_major 0
%define lib_name %lib_name_orig%lib_major


Name:           %{name}
Summary:        A search engine for kde
Version:        %{version}
Release:        %{release}
Source:         %{name}-%{version}.tar.bz2

URL:            http://kioclucene.objectis.net/
Group:          Archiving/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	clucene
Requires:	%lib_name

%description
kio-clucene is a search-ioslave working on indexed data.
kio-clucene can look for:
 - full text content,
 - mimetype,
 - metainfo, 
 - mod. dates, 
 - path names.
 - multifield queries are possible 
 (a multifield search-dialog can be used (or not))
 
 kio-clucene can index:
 - local files
 - remote files (ftp,pop3,... (basic support))
 - archives (basic local support)
 - read-only data stored on cds,dvds.
 
 kio-clucene stores previews of:
 - all images
 - all videos
 
 kio-clucene can search on:
 - a single index
 - multiple indexes
 It relies on a multithreaded search-daemon


%package -n %lib_name
Group:      Development/KDE and Qt
Summary:    Libraries for kio-clucene
Requires:	clucene

%description -n %lib_name
Librairie for Kio-clucene

%package -n %lib_name-devel
Group:      Development/KDE and Qt
Summary:    Devel files for Kio-clucene
Requires:   %lib_name

%description -n %lib_name-devel
Devel file for Kio-clucene


%prep
%setup -q

%build
#scon build
./configure  prefix=%_prefix 


%make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT



install -d $RPM_BUILD_ROOT%{_menudir}
# menu position
kdedesktop2mdkmenu.pl %{name} "System/Archiving/Other" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/kclucene_indexer_config.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %lib_name -p /sbin/ldconfig


%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%defattr(-,root,root,0755)
%_libdir/kde3/kclucenesearchdaemon.la
%_libdir/kde3/kded_kclucenesearchdaemonnotify.la
%_libdir/kde3/kio_clucene.la
%_libdir/kde3/libkclucene_datetime.la
%_libdir/kde3/libkclucene_datetime.so
%_libdir/kde3/libkclucene_helper_client.la
%_libdir/kde3/libkclucene_helper_client.so
%_libdir/kde3/libkclucene_helper_clientserver.la
%_libdir/kde3/libkclucene_helper_clientserver.so
%_libdir/kde3/libkclucene_helper_server.la
%_libdir/kde3/libkclucene_helper_server.so
%_libdir/kde3/libkcluceneindexerdaemon.la
%_libdir/kde3/libkcluceneindexerdaemon.so
%_libdir/kde3/libkclucenesearchdaemon.so
%_libdir/kde3/libkded_kclucenesearchdaemonnotify.so
%_libdir/kde3/libkio_clucene.so


%files -n %lib_name-devel
%defattr(-,root,root,0755)
%_includedir/kclucene_indexer_daemon_dcopiface_stub.h
%_includedir/kio_clucene_dcopiface_stub.h

%files 
%defattr(-,root,root,0755)
%_bindir/kclucene-indexer-config
%_bindir/kclucene-indexer-daemon
%_bindir/kclucene-search-daemon
%_bindir/kclucene-search-dialog
		
%dir %_datadir/apps/kclucene-indexer-config/
%dir %_datadir/apps/kclucene-indexer-config/pics/
%_datadir/apps/kclucene-indexer-config/pics/*.png

%dir %_datadir/apps/kclucene-search-dialog/
%dir %_datadir/apps/kclucene-search-dialog/pics/
%_datadir/apps/kclucene-search-dialog/pics/*.png

%dir %_datadir/apps/kio_clucene/html_search/
%_datadir/apps/kio_clucene/html_search/kio_clucene_webformA.html

%dir %_datadir/apps/kio_clucene/pics/
%_datadir/apps/kio_clucene/pics/*.png

%_datadir/config.kcfg/kio_clucene.kcfg
%_datadir/icons/crystalsvg/16x16/actions/pmaddpoint.png
%_datadir/icons/crystalsvg/16x16/actions/pmremovepoint.png

%_datadir/services/clucene.protocol

%_datadir/services/kclucene_indexer_daemon.desktop
%_datadir/services/kclucene_search_daemon.desktop

%_datadir/services/kded/kclucene_search_daemon_kded_notify.desktop

%_datadir/services/searchproviders/kclucene_any.desktop
%_datadir/services/searchproviders/kclucene_content.desktop

%_menudir/kio-clucene
%_datadir/applnk/Utilities/kclucene_indexer_config.desktop

%changelog
* Tue Jul 05 2005 Laurent MONTEL <lmontel@mandriva.com> 0.1.0-2mdk
- Fix url 

* Fri Jul 01 2005 Laurent MONTEL <lmontel@mandriva.com> 0.1.0-1mdk
- Initial package 

